=== modified file 'bzrlib/bzrdir.py'
--- bzrlib/bzrdir.py	2009-04-27 05:56:16 +0000
+++ bzrlib/bzrdir.py	2009-04-28 01:51:32 +0000
@@ -3149,7 +3149,7 @@
         format = RemoteBzrDirFormat()
         format._network_name = bzrdir_name
         self._supply_sub_formats_to(format)
-        bzrdir = remote.RemoteBzrDir(transport, format)
+        bzrdir = remote.RemoteBzrDir(transport, format, _client=client)
         if repo_path:
             repo_format = remote.response_tuple_to_repo_format(response[1:])
             if repo_path == '.':

=== modified file 'bzrlib/tests/blackbox/test_push.py'
--- bzrlib/tests/blackbox/test_push.py	2009-04-27 03:47:55 +0000
+++ bzrlib/tests/blackbox/test_push.py	2009-04-28 01:51:32 +0000
@@ -201,7 +201,7 @@
         # being too low. If rpc_count increases, more network roundtrips have
         # become necessary for this use case. Please do not adjust this number
         # upwards without agreement from bzr's network support maintainers.
-        self.assertLength(11, self.hpss_calls)
+        self.assertLength(10, self.hpss_calls)
 
     def test_push_smart_stacked_streaming_acceptance(self):
         self.setup_smart_server_with_call_log()
@@ -217,7 +217,7 @@
         # being too low. If rpc_count increases, more network roundtrips have
         # become necessary for this use case. Please do not adjust this number
         # upwards without agreement from bzr's network support maintainers.
-        self.assertLength(18, self.hpss_calls)
+        self.assertLength(17, self.hpss_calls)
         remote = Branch.open('public')
         self.assertEndsWith(remote.get_stacked_on_url(), '/parent')
 

